1997-12-07 11:38  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: Turn off verbose classloading.

1997-12-07 11:37  Christoph Toshok <toshok@hungry.com>

	* include/op_stack.h: Expose
	op_stack_check_bottom_space/op_stack_check_topspace

1997-12-07 11:36  Christoph Toshok <toshok@hungry.com>

	* progs/Makefile.am, progs/Makefile.in, configure, configure.in:
	Add dump-class to the build

1997-12-07 11:36  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/msgc.c: Only call GC_printStats if we're spewing.

1997-12-07 11:33  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: Turn off the annoying gc spew by
	default

1997-12-07 11:32  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: fix the if_acmp{eq,ne} fuckup, where
	two pointers to the same object (but casted differently) would come
	up as different objects.

1997-12-07 11:23  Christoph Toshok <toshok@hungry.com>

	* progs/dump-class/clazz.c: spew interfaces.

1997-12-07 11:22  Christoph Toshok <toshok@hungry.com>

	* progs/dump-class/method.c: Add spew for tableswitch opcode, and
	add the signature to the annotations for methods.

1997-12-07 05:33  Christoph Toshok <toshok@hungry.com>

	* include/interp.h, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c, lib/libruntime/op_stack.c: Add
	op_stack_before/after sizes to the opcode_struct, so we can do
	checking *before* we actually call the opcode's interpfunc. 
	collapses a bunch of function calls away.

1997-12-06 22:43  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: Remove op_ret_w, since it's not
	needed

1997-12-06 22:42  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: Fix ResolveStringAsCString

1997-12-06 22:41  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: Change the interpfunc[] to an
	opcode[], and fill in the name and number of bytes needed for each
	opcode.

1997-12-06 22:40  Christoph Toshok <toshok@hungry.com>

	* include/sig.h, lib/libruntime/sig.c: Add SIG_formatToJavaSource,
	for use in the class dumper program.

1997-12-06 22:40  Christoph Toshok <toshok@hungry.com>

	* include/interp.h: Add definition of opcode_struct to interp.h so
	the dump-class can use it.  Also remove the ret_w interpfunc, since
	there's no opcode for it anyway...

1997-12-06 22:34  Christoph Toshok <toshok@hungry.com>

	* progs/dump-class/: .cvsignore, Makefile.am, Makefile.in, clazz.c,
	dump-class.c, dump-class.h, field.c, html.c, method.c, misc.c,
	output.c: Initial version of the dump-class utility

1997-12-05 12:46  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: Correct the text in a comment.

1997-12-05 12:40  Christoph Toshok <toshok@hungry.com>

	* configure.in, configure: Fix the -ldl probing so that it works on
	the hurd.  also, remove the AC_PROG_MAKE, since it's done by the
	AM_INIT_AUTOMAKE stuff.

1997-12-05 11:14  Christoph Toshok <toshok@hungry.com>

	* configure.in, configure: fix the change so the HURD will use
	-D_GNU_SOURCE

1997-12-05 11:13  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: For GNU, use _POSIX_PATH_MAX
	for MAXPATHLEN

1997-12-05 11:11  Christoph Toshok <toshok@hungry.com>

	* configure.in, configure: Change the HURD to use -D_GNU_SOURCE

1997-12-05 10:58  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: Makefile.am, Makefile.in, java.lang/system.c: Fix
	include path, and fix stupid cpp fuckup.

1997-12-05 10:54  Christoph Toshok <toshok@hungry.com>

	* INSTALL: Paltry INSTALL instructions.

1997-12-05 10:52  Christoph Toshok <toshok@hungry.com>

	* configure.in, configure: Only check for pthread_yield and
	sched_yield functions if pthreads are being used.

1997-12-05 10:43  Christoph Toshok <toshok@hungry.com>

	* progs/japhard/: cmd_line.c, cmds.h, japhard.c: Sync up.

1997-12-05 10:41  Christoph Toshok <toshok@hungry.com>

	* aclocal.m4, configure, configure.in, arch/Makefile.am,
	arch/Makefile.in, progs/japhar/Makefile.am,
	progs/japhar/Makefile.in, progs/japharh/Makefile.am,
	progs/japharh/Makefile.in: Commit the new working thread detection
	foo.

1997-12-05 10:38  Christoph Toshok <toshok@hungry.com>

	* arch/thread_test.c: Take out the THREAD_yield.  freebsd does
	*not* like it.

1997-12-05 10:17  Christoph Toshok <toshok@hungry.com>

	* COPYING: Add GNU public license.

1997-12-05 10:16  Christoph Toshok <toshok@hungry.com>

	* AUTHORS: Added paltry AUTHORS info

1997-12-05 10:11  Christoph Toshok <toshok@hungry.com>

	* missing: Steal the gnome project's 'missing' script

1997-12-05 10:07  Christoph Toshok <toshok@hungry.com>

	* progs/: japhar/Makefile.am, japharh/Makefile.am: use THREAD_LIB
	instead of -lc_r

1997-12-05 10:06  Christoph Toshok <toshok@hungry.com>

	* include/config.h.in: Sync up config.h.in

1997-12-05 10:05  Christoph Toshok <toshok@hungry.com>

	* configure.in: Add gnu-0.2 configure support, and
	AC_SUBST(THREAD_LIB) so I can remove the explicit -lc_r's
	everywhere.

1997-12-05 10:04  Christoph Toshok <toshok@hungry.com>

	* acconfig.h: Add USE_CTHREADS

1997-12-05 10:03  Christoph Toshok <toshok@hungry.com>

	* arch/thread_test.c: Put a THREAD_yield in that while(1) loop, so
	the hello and goodbye threads are really the only ones running (for
	any length of time, that is.)

1997-12-05 10:02  Christoph Toshok <toshok@hungry.com>

	* arch/Makefile.am: Use @THREAD_LIB@ instead of -lc_r

1997-12-03 11:09  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/japhar/japhar.c: Dynamic loading hack also needed for
	linux.

1997-12-03 01:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/system.c: Added default way to find
	MAXPATHLEN - limits.h with PATH_MAX.

1997-12-03 00:57  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/threads.c: Corrected pthread_detach(pthread_t *) to
	pthread_detach(pthread_t) for Linux.

1997-12-03 00:23  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/dynamic_loading.c: Corrected DLL_loadSystemLibraries() to
	only add '_' when needed.

1997-12-02 23:54  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/clparse.c: Added assert to test return value from
	mmap().

1997-12-02 09:11  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/double.c: Implement java.lang.valueOf0

1997-12-01 07:08  Christoph Toshok <toshok@hungry.com>

	* Makefile.in, arch/Makefile.in, lib/Makefile.in,
	lib/libjni/Makefile.in, lib/libjni/include/Makefile.in,
	lib/libjni/src/Makefile.in, lib/libnative/Makefile.in,
	lib/libruntime/Makefile.in, lib/zlib/Makefile.in,
	progs/japhar/Makefile.in, progs/japharh/Makefile.in: Update
	Makefile.in's due to a change in automake

1997-12-01 06:57  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/msgc.c: Don't try and mark array elements if
	they're null.

1997-12-01 06:56  Christoph Toshok <toshok@hungry.com>

	* progs/japhard/.cvsignore: Add japhard to the .cvsignore file.

1997-12-01 06:53  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: back up to the previous post when
	finalizing an object.

1997-12-01 06:53  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/arrays.c: Change some spew.

1997-12-01 06:52  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/: include/jni.h, src/jniinvoc.c: Add hungry-specific
	field to the init_args, for verbose class loading

1997-12-01 06:41  Christoph Toshok <toshok@hungry.com>

	* progs/: Makefile.am, Makefile.in: Added japhard directory to the
	build.

1997-12-01 06:32  Christoph Toshok <toshok@hungry.com>

	* include/sig.h, lib/libruntime/sig.c: Add
	SIG_formatPrimitiveTypeToC, a public API so that the array code can
	output more verbose stuffs.

1997-12-01 06:27  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: Add GetMethodByName, fix a NewGlobalRef
	problem, and add debugging output while parsing classes, if it's
	enabled.

1997-12-01 06:26  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h: Add GetMethodByName

1997-12-01 06:10  Christoph Toshok <toshok@hungry.com>

	* configure.in, configure: Add readline to the configure.in file

1997-12-01 06:10  Christoph Toshok <toshok@hungry.com>

	* progs/japhard/: Makefile.am, Makefile.in, break.c, break.h,
	cmd_line.c, cmds.h, japhard.c: Initial work on japhard

1997-12-01 06:09  Christoph Toshok <toshok@hungry.com>

	* progs/japhard/readline/: .cvsignore, Makefile.am: Add the
	readline stuff to the automake mess.

1997-11-30 11:43  Christoph Toshok <toshok@hungry.com>

	* arch/: monitors.c, threads.c: finish up the cthreads port.

1997-11-30 09:35  Christoph Toshok <toshok@hungry.com>

	* arch/: monitors.c, threads.c: cthreads port

1997-11-30 08:21  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/: header.c, japharh.c, stubs.c: Add env first
	parameter.

1997-11-30 08:20  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: Add ExceptionClear call in
	handleException.

1997-11-30 08:19  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/: Makefile.am, Makefile.in: Add libzip and libzlib
	to the link

1997-11-30 08:18  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/msgc.c: Add JavaVM first parameters.  Make GC
	state JavaVM dependant, so we can have several garbage collected
	areas of memory corresponding to multiple VM's.  Also, add more
	marking functions (mark array elements, mark op_stack elements),
	and clean up the logic for when to perform a collection by using
	the number of bytes allocated since the last collection.

1997-11-30 08:16  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: printf.c, resolve.c, sig.c: Add #include
	"config.h"

1997-11-30 08:15  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/log.c: add #include 'config.h'

1997-11-30 08:14  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: interpfunc.c, interploop.c: Add env first
	parameters.

1997-11-30 08:14  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/exceptions.c: Add #include "config.h", add env
	first parameters.

1997-11-30 08:13  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: Add JNIEnv* first parameters

1997-11-30 08:13  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: class-repository.c, nativeglue.c, objects.c,
	op_stack.c: Add env first parameters

1997-11-30 08:12  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/arrays.c: Use the newly added element_type field
	in array objects, and add the JNIEnv* first parameter.	Also,
	#include "config.h"

1997-11-30 08:11  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/array-class.c: Add another field to arrays (the
	type of the elements.), add JNIEnv* first parameters, and add an
	#include <config.h> at the top.

1997-11-30 08:10  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/abort.c: Add #include <config.h>

1997-11-30 08:10  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util/utilStubs.c: Add the util native mappings
	in the non-dll case.

1997-11-30 08:09  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util/resbundle.c: indenting change.

1997-11-30 08:08  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/runtime.c: If LD_LIBRARY_PATH is not set,
	default to /usr/local/japhar/lib.  Also, put in hacky BSD'ish
	library name building.	needs to be revisited.

1997-11-30 08:06  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/: classloader.c, object.c, system.c: Send
	env as the first parameter where needed.

1997-11-30 08:06  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: Use find_instance_data_for_class
	where it needed to be used, and send env's around.

1997-11-30 08:04  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/file.c: make stat_file() use get_path().

1997-11-30 08:03  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util.zip/: adler32.c, crc32.c, deflater.c,
	inflater.c, zipStubs.c, _stubs/java_util_zip_Adler32_stubs.c,
	_stubs/java_util_zip_CRC32_stubs.c,
	_stubs/java_util_zip_Deflater_stubs.c,
	_stubs/java_util_zip_Inflater_stubs.c: Add java.util.zip natives to
	the build

1997-11-30 08:00  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: Makefile.am, Makefile.in: Add java.util.zip to
	the build.

1997-11-30 07:58  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniref.c: Provide the JNIEnv* or JavaVM* to
	functions that need it.

1997-11-30 07:57  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniobj.c: Provide the JNIEnv* to functions that
	need it.  Also implement some more NewObject* functions

1997-11-30 07:56  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/: jnimeth.c, jnisfld.c, jnismeth.c, jnistr.c,
	jnithrow.c: Provide the JNIEnv* to functions that need it

1997-11-30 07:56  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: Provide the JNIEnv* to functions that
	need it, and turn off class GC (since it breaks things.)

1997-11-30 07:55  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/: jniclass.c, jnifield.c: Provide the JNIEnv* to
	functions that need it.

1997-11-30 07:54  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniarray.c: Free up elements when the user
	releases them, and supply the JNIEnv pointer to functions that need
	it.

1997-11-30 07:53  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jniint.h: Add GC_state and JThreadInfo to the
	HungryJNIEnv*

1997-11-30 07:52  Christoph Toshok <toshok@hungry.com>

	* lib/: Makefile.am, Makefile.in: Add zlib to the SUBDIRS line

1997-11-30 07:44  Christoph Toshok <toshok@hungry.com>

	* include/: class-repository.h, exceptions.h, gc.h, interp.h,
	objects.h, op_stack.h, resolve.h, sig.h: Add JNIEnv* or JavaVM* as
	first parameter everywhere.

1997-11-30 07:43  Christoph Toshok <toshok@hungry.com>

	* include/: ClazzFile.h, arrays.h: Add JNIEnv* as a first parameter
	everywhere.

1997-11-30 07:42  Christoph Toshok <toshok@hungry.com>

	* arch/threads.c: Add java interpreter info to the HungryJNIEnv*

1997-11-30 07:41  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c: Add java.util native methods in non-dll
	case

1997-11-24 18:41  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, configure: Now checks if -rdynamic is needed when
	using dlsym().	Had to move dlopen-test to get LDFLAGS correct.

1997-11-19 17:54  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/zextract.c: Include stdio.h to get printf()
	declared.

1997-11-10 00:19  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/resolve.c: Added forgotten <assert.h>.

1997-11-10 00:18  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/resolve.c: Only add known classes to repository.

1997-11-07 11:25  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnismeth.c: Throw j.l.NoSuchMethodError if we
	can't find the method.

1997-11-07 11:23  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: Add parsing for the InnerClass
	attribute.  We don't really need to do anything here, since
	resolve_class scours through the constant_pool, loading all the
	classes.

1997-11-07 11:22  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h: Add slots for InnerClasses

1997-11-07 11:21  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/resolve.c: Added top comment, and ran through
	indent-region

1997-11-05 20:08  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interploop.c: Typo which appeared with -DDEBUG
	fixed.

1997-11-05 17:31  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure, configure.in: Added retest for dlopen() if -ldl
	exists.

1997-11-05 09:53  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: Only use the get_next_byte function
	if DEBUG is on.  Also, don't make calls into the JNIEnv* inside
	interp_loop.  Just access ->_exception directly.  less portable,
	but then again, it's *our* JNI implementation.

1997-11-05 09:48  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnismeth.c: Implement most of the
	CallStatic*Method calls correctly.  there are still some straglers,
	that aren't taking the size of the argument into account in the
	varargs mess...

1997-11-05 09:46  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: NEED_UNDERSCORE stuff now happens in
	dynamic_loading.c, since it might not do it at all -- in the case
	where HAVE_DLL is false.  Also, change the native method lookup to
	cache the result in the MethodStruct.  Also, don't make calls
	through the JNIEnv* in the middle of sub_interp_loop -- just access
	->_exception.

1997-11-05 09:44  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: Change to using
	MONITOR_getForClass(), and reindent the mess

1997-11-05 09:41  Christoph Toshok <toshok@hungry.com>

	* include/dynamic_loading.h: Include config.h before we start
	switching on whether or not things are defined.

1997-11-05 09:40  Christoph Toshok <toshok@hungry.com>

	* arch/snprintf.c: Change the definition of snprintf to use the ...
	(stdarg) notation

1997-11-05 09:39  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c: Add support for platforms that don't have
	dynamic libraries, or for when we need to shut them off for
	profiling

1997-11-05 09:34  Christoph Toshok <toshok@hungry.com>

	* arch/monitors.c: Add MONITOR_getForClass, and make the object and
	class monitors members of objects and classes respectively.  This
	speeds things up immensely, as it removes a costly linear search
	everytime a monitor is needed.

1997-11-05 09:32  Christoph Toshok <toshok@hungry.com>

	* configure, configure.in: add --enable-debugging and
	--enable-profiling

1997-11-05 09:15  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/op_stack.c: Include config.h to find definition
	for inline.

1997-11-05 03:40  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: java.lang/langStubs.c, java.io/ioStubs.c,
	java.net/netStubs.c: Start adding non-dll mappings between native
	methods and their names.

1997-11-05 03:35  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: Makefile.am, Makefile.in: add java.io/filein.c to
	the build

1997-11-05 03:31  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/op_stack.c: Make promote_to_int inline (at least
	for this file.)

1997-11-05 03:30  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: Add clone_object() function, and use
	the class monitor instead of an object monitor when creating a
	new_object.

1997-11-05 03:26  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnistr.c: Add the private offset field into the
	creation of strings.  This fixes a really nasty bug regarding
	system resources

1997-11-05 03:25  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnimeth.c: Implement a lot of the Call*Method and
	CallNonvirtual*Method's, and put abort()'s in the remaining ones. 
	Better than just returning zero and silently failing to do anything
	useful.

1997-11-05 03:22  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: Call DLL_loadSystemLibraries when
	creating a new java VM

1997-11-05 03:21  Christoph Toshok <toshok@hungry.com>

	* acconfig.h: Add NEED_UNDERSCORE to acconfig.h

1997-11-05 03:19  Christoph Toshok <toshok@hungry.com>

	* include/config.h.in: sync up with configure.in using autoheader

1997-11-05 03:19  Christoph Toshok <toshok@hungry.com>

	* include/op_stack.h: Add prototype for promote_to_int()

1997-11-05 03:17  Christoph Toshok <toshok@hungry.com>

	* include/: ClazzFile.h, objects.h: Add slot for ClazzFile and
	object monitors.  This removes a really expensive linear search
	whenever a synchronized method is called.  Also, add another
	optimization to MethodStruct -- remember the native function
	pointer if we've looked it up before.  Also, add clone_object()
	function.

1997-11-05 03:15  Christoph Toshok <toshok@hungry.com>

	* include/native-threads.h: Add API for getting a monitor for a
	ClazzFile*

1997-11-05 03:14  Christoph Toshok <toshok@hungry.com>

	* include/interp.h: If DEBUG is turned off, make get_next_byte a
	macro.

1997-11-05 03:13  Christoph Toshok <toshok@hungry.com>

	* include/dynamic_loading.h: Make DLL_LibHandle a string->void*
	mapping in the cases where the platform doesn't have .so support,
	or if profiling is turned on.

1997-11-05 03:12  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/object.c: Fix broken implementation of
	java.lang.Object.getClass() -- we need to return a class *object*,
	not a ClazzFile*.  Also implement java.lang.Object.clone().

1997-11-05 03:10  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/classloader.c: Implement
	java.lang.ClassLoader.getSystemResourceAsStream0 and
	java.lang.ClassLoader.getSystemResourceAsName0

1997-11-05 03:09  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/double.c: Implement
	java.lang.Double.longBitsToDouble and
	java.lang.Double.doubleToLongBits

1997-11-05 03:07  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/: filein.c,
	_stubs/java_io_FileInputStream_stubs.c: Add native methods for
	java.io.FileInputStream

1997-11-05 00:48  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/dynamic_loading.c: Added some debug output.

1997-11-05 00:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/nativeglue.c: Removed debug info printing.

1997-11-05 00:09  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/nativeglue.c: Moved free(native_func_name) until
	after last block uses it.

1997-11-04 23:31  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/include/jni.h: Added handling of linux - uses same
	types as FreeBSD.

1997-11-04 23:30  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/threads.c: Make compile halt if pthreads are missing.

1997-11-01 19:39  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/threads.c: Changed type of parameter in call to
	pthread_detach() on Irix and Solaris.

1997-11-01 18:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/: interploop.c, zextract.c: Include config.h to
	get inline defined when it is missing.

1997-11-01 13:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/jniclass.c: Made sure FindClass() returns even if
	none classes are found.

1997-11-01 12:46  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure: Removed -O2 as this made a lot of assertions disapear.

1997-11-01 11:58  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure, configure.in: Typo fixed and added test for -lc_r.

1997-11-01 11:50  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, configure: Link with -lpthread if present.

1997-11-01 11:44  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure, configure.in, include/config.h.in, arch/threads.c: Use
	sched_yield if pthread_yield is unavalable.

1997-11-01 11:39  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure, configure.in, arch/Makefile.am, arch/Makefile.in,
	arch/snprintf.c, include/config.h.in: Make missing snprintf() when
	needed.

1997-11-01 11:30  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/monitors.c: Typo fixed.

1997-11-01 10:47  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure, configure.in: Added test for NEED_UNDERSCORE.

1997-11-01 10:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/zextract.c: Corrected reading of zip-file header.

1997-11-01 02:57  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/: jniclass.c, jnimeth.c: Avoid bus error and
	endless recursion.

1997-10-31 03:19  Christoph Toshok <toshok@hungry.com>

	* Makefile.in, lib/Makefile.in, lib/libjni/Makefile.in,
	lib/libjni/include/Makefile.in, lib/libnative/Makefile.in,
	lib/libruntime/Makefile.in, lib/zlib/Makefile.in,
	progs/Makefile.in, progs/japhar/Makefile.in,
	progs/japhard/Makefile.in, progs/japharh/Makefile.in: automake
	changes for the config.h stuff.

1997-10-31 03:15  Christoph Toshok <toshok@hungry.com>

	* include/.cvsignore: added stamp-h to .cvsignore.

1997-10-31 03:13  Christoph Toshok <toshok@hungry.com>

	* arch/.cvsignore: Add thread_test to the .cvsignore file.

1997-10-31 03:12  Christoph Toshok <toshok@hungry.com>

	* arch/: monitors.c, monitors.c: Fix MONITOR_exit to only unlock
	and broadcast if --depth == 0

1997-10-31 03:11  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: Indentation change.

1997-10-31 03:11  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/msgc.c: Turn off stat printing as well, since it's
	not doing anything anyway.

1997-10-31 03:10  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/thread.c: Add java.lang.Thread.sleep
	(using select), and fill in the JThreadInfo for a new thread.

1997-10-31 03:09  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/runtime.c: Set the _finalizers_on_exit
	flag

1997-10-31 03:08  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/: Makefile.in, jniarray.c, jniinvoc.c, jniobj.c,
	jniref.c: changes to keep the compiler quiet about ENQUEUE/UNQUEUE,
	and memcpy the _hungryJNIInterface into new environments.  Also,
	call THREAD_setVM when we Attach a thread.

1997-10-31 03:07  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jniint.h: Add a flag for running finalizers on
	exit to the VM, and fix some indentation.

1997-10-31 03:06  Christoph Toshok <toshok@hungry.com>

	* include/qop.h: Change the ENQUEUE/DEQUEUE macros so that the only
	thing that's necessary is the structure have prev/next pointers. 
	They don't have to be Q_struct things anymore.

1997-10-31 03:05  Christoph Toshok <toshok@hungry.com>

	* configure.in, configure: Add -DDEBUG to the OS_DEFINE

1997-10-31 03:04  Christoph Toshok <toshok@hungry.com>

	* include/native-threads.h, arch/threads.c: Add THREAD_setVM()
	call.

1997-10-31 03:03  Christoph Toshok <toshok@hungry.com>

	* arch/: Makefile.am, Makefile.in, thread_test.c: Added test for
	thread stuff

1997-10-27 09:01  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c, arch/monitors.c, arch/threads.c,
	lib/libruntime/clparse.c, lib/libnative/java.lang/system.c: Get
	this to compile correctly with the new config.h file.

1997-10-27 09:00  Christoph Toshok <toshok@hungry.com>

	* configure.in, configure: Add rudimentary configure stuff for
	linux.

1997-10-27 09:00  Christoph Toshok <toshok@hungry.com>

	* .cvsignore: Added stamp-h to .cvsignore

1997-10-27 09:00  Christoph Toshok <toshok@hungry.com>

	* include/.cvsignore: Added .cvsignore

1997-10-27 05:15  Christoph Toshok <toshok@hungry.com>

	* aclocal.m4, configure, configure.in: Add support for
	include/config.h

1997-10-27 05:11  Christoph Toshok <toshok@hungry.com>

	* include/config.h.in: japhar config file.

1997-10-27 05:11  Christoph Toshok <toshok@hungry.com>

	* acconfig.h: Local definitions for autoheader.

1997-10-27 05:07  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: __inline__ --> inline

1997-10-27 04:54  Christoph Toshok <toshok@hungry.com>

	* configure.in, configure: check for 'inline', add mips-sgi-irix6*,
	and change the way USE_PTHREADS is defined.

1997-10-27 04:53  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jni.h: Add support for IRIX (6.2 anyway...)

1997-10-27 04:52  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: MAXPATHLEN = NL_MAXPATHLEN

1997-10-27 04:52  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/japharh.c: Add stdlib.h

1997-10-27 02:31  Christoph Toshok <toshok@hungry.com>

	* arch/: dynamic_loading.c, monitors.c, threads.c: ifdef stuff.

1997-10-27 02:03  Christoph Toshok <toshok@hungry.com>

	* configure.in, configure: Take away the ARCHDIR

1997-10-27 02:02  Christoph Toshok <toshok@hungry.com>

	* configure.in: Add USE_PTHREADS for those platforms that have it.

1997-10-27 01:43  Christoph Toshok <toshok@hungry.com>

	* .cvsignore, lib/.cvsignore, lib/libjni/.cvsignore,
	lib/libjni/include/.cvsignore, progs/.cvsignore,
	progs/japhar/.cvsignore, progs/japharh/.cvsignore: Fix up the
	.cvsignore files

1997-10-27 00:02  Christoph Toshok <toshok@hungry.com>

	* lib/zlib/Makefile: Get rid of Makefile's

1997-10-26 20:51  Christoph Toshok <toshok@hungry.com>

	* Makefile, arch/Makefile, lib/Makefile, lib/libjni/Makefile,
	lib/libjni/src/Makefile, lib/libnative/Makefile,
	lib/libnative/java.io/Makefile, lib/libnative/java.lang/Makefile,
	lib/libnative/java.net/Makefile, lib/libnative/java.util/Makefile,
	lib/libnative/sun.awt.motif/Makefile, lib/libruntime/Makefile,
	lib/libruntime/runtime.c, progs/Makefile, progs/japhar/Makefile,
	progs/japharh/Makefile: Get rid of unneeded Makefiles.

1997-10-26 20:47  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: Use the uname() call if the
	platform has it.  get the OS name/revision this way.

1997-10-26 20:40  Christoph Toshok <toshok@hungry.com>

	* arch/.cvsignore: Added .cvsignore

1997-10-26 20:40  Christoph Toshok <toshok@hungry.com>

	* arch/: Makefile.am, Makefile.in, dynamic_loading.c, monitors.c,
	threads.c: Move to automake/autoconf, and move the arcitecture
	files into one directory -- we'll differentiate between platforms
	by either using ifdefs or autoconf substitutions in the Makefile

1997-10-26 20:39  Christoph Toshok <toshok@hungry.com>

	* AUTHORS, COPYING, INSTALL, Makefile.am, Makefile.in, NEWS,
	README, aclocal.m4, config.guess, config.sub, configure,
	configure.in, install-sh, missing, mkinstalldirs, lib/Makefile.am,
	lib/Makefile.in, lib/libjni/Makefile.am, lib/libjni/Makefile.in,
	lib/libjni/include/Makefile.am, lib/libjni/include/Makefile.in,
	lib/libjni/src/.cvsignore, lib/libjni/src/Makefile.am,
	lib/libjni/src/Makefile.in, lib/libnative/.cvsignore,
	lib/libnative/Makefile.am, lib/libnative/Makefile.in,
	lib/libruntime/.cvsignore, lib/libruntime/Makefile.am,
	lib/libruntime/Makefile.in, lib/libruntime/clparse.c,
	lib/zlib/.cvsignore, lib/zlib/Makefile, lib/zlib/Makefile.am,
	lib/zlib/Makefile.in, progs/Makefile.am, progs/Makefile.in,
	progs/japhar/.cvsignore, progs/japhar/Makefile.am,
	progs/japhar/Makefile.in, progs/japhard/.cvsignore,
	progs/japhard/Makefile.am, progs/japhard/Makefile.in,
	progs/japharh/.cvsignore, progs/japharh/Makefile.am,
	progs/japharh/Makefile.in: Move to automake/autoconf

1997-10-25 09:34  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: change things to use get_constant

1997-10-25 09:34  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/file.c: implement java.io.File.list0

1997-10-25 09:33  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/: class.c, classloader.c, runtime.c,
	system.c: Make sure to assign the return value of NewGlobalRef to
	something -- it might not update in-place like ours does.

1997-10-25 09:30  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: put the #if notyet around more GC_
	stuff.

1997-10-25 09:29  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnithrow.c: Make the exception a GlobalRef

1997-10-25 09:29  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnistr.c: #if notyet some GC stuff

1997-10-25 04:56  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/array-class.c: cast to quiet gcc down.

1997-10-25 04:55  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/msgc.c: #if notyet some stuff out.

1997-10-25 04:55  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: quiet the compiler down.

1997-10-25 04:54  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/classpath.c: Quiet down the compiler by adding
	more 'punt' cases to get_entry_type() and reindent some stuff.

1997-10-25 04:54  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: #ifdef out some garbage collector
	stuff that's not ready yet.

1997-10-25 04:53  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: Change an ATHROW to a real
	(*env->Throw) call

1997-10-25 04:53  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: Call env->FatalError instead of
	fprintf/abort stuff, and reindent some stuff.  Also, #ifdef out the
	garbage collector's immediate collection of local thread references
	after a native call -- it's fucking things up.

1997-10-25 04:52  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/arrays.c: quiet compiler down, and always allocate
	something for the instance data of an array.

1997-10-25 04:51  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/abort.c: quiet gcc down

1997-10-25 04:46  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: Fix command line handling -- so when the
	java code tries to access args[], it doesn't get the ClazzFile*.

1997-10-25 03:32  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/runtime.c: Add support for the VM
	specific exit() hook, and add the GC hooks.

1997-10-25 03:27  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/: Makefile, langStubs.c, runtime.c,
	_stubs/java_lang_Runtime_stubs.c: Add runtime stubs -- handles
	things like runtime loading of shared libraries (try running
	Hello4)

1997-10-25 03:27  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/thread.c: Change type of
	real_thread_start to quiet a compiler warning.

1997-10-25 03:26  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/classloader.c: Stub out some
	systemResource functions in classloader.c

1997-10-25 02:42  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/: jniobj.c, jnimeth.c: well, it might help if I
	*implement* the CallNonvirtualVoidMethod* functions.... duh.

1997-10-25 02:38  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniobj.c: For some reason, changing the
	CallVoidMethod to CallNonvirtualVoidMethod causes core dumps..
	grrrr..

1997-10-25 01:35  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnithrow.c: Put in a braindead ExceptionDescribe
	method, so we can tell which exception made it to the toplevel.

1997-10-25 01:35  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnismeth.c: Implement more of the CallStatic*
	methods

1997-10-25 01:34  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniobj.c: Constructors are non virtual.

1997-10-25 01:34  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: Turn off the garbage collector.  it
	has problems

1997-09-03 03:01  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: test for -1 instead of anything other
	than 0 with the return value of stat, and also *length_return needs
	to be set... duh.  why did this ever work?

1997-09-03 02:47  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: make post conditions stronger for
	load_class_file

1997-09-03 02:39  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jninativ.c: Initial work on native method
	registration

1997-09-03 02:38  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: Use calloc instead of malloc/memset

1997-09-01 22:04  Christoph Toshok <toshok@hungry.com>

	* include/qop.h, lib/libjni/src/jniarray.c,
	lib/libjni/src/jniclass.c, lib/libjni/src/jniinvoc.c,
	lib/libjni/src/jnimeth.c, lib/libjni/src/jniobj.c,
	lib/libjni/src/jnismeth.c, lib/libjni/src/jnistr.c,
	lib/libnative/Makefile, lib/libnative/java.lang/Makefile,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/langStubs.c,
	lib/libnative/java.lang/system.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/_stubs/java_lang_ClassLoader_stubs.c,
	lib/libnative/sun.awt.motif/Makefile, lib/libruntime/arrays.c,
	lib/libruntime/class-repository.c, lib/libruntime/clparse.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/msgc.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/printf.c,
	lib/libruntime/sig.c, progs/japhar/japhar.c: foo belch blech

1997-09-01 22:01  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util/: Makefile, resbundle.c, utilStubs.c,
	_stubs/java_util_ResourceBundle_stubs.c: Added java.util native
	methods.

1997-08-25 08:32  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: Add stupid (perhaps broken) test to wait
	for user threads.

1997-08-25 08:31  Christoph Toshok <toshok@hungry.com>

	* progs/Makefile: Don't try to build japhard and japhardoc

1997-08-22 21:33  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: Changed the thread name to 'main' to
	match jdk.

1997-08-22 21:19  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniobj.c: fill in JNI-GetObjectClass

1997-08-22 21:18  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: Turn off the collector/finalizer for
	now when we destroy a vm

1997-08-22 21:17  Christoph Toshok <toshok@hungry.com>

	* include/native-threads.h: Remove the dependence on a JNIEnv from
	THREAD_start, and add THREAD_getVM()

1997-08-22 21:17  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/thread.c: get java.lang.Thread.start
	working

1997-08-22 21:16  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: Implement
	java.lang.Class.getName

1997-08-22 20:53  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnithrow.c: spelling mistake

1997-08-22 19:25  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/: object.c, float.c: some more native
	method work

1997-08-22 19:19  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/fd.c: More native method work fd.c

1997-08-22 19:16  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/file.c: Filled in lots more native methods

1997-08-22 18:29  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/fileout.c: Implemented the remaining
	FileOutputStream native methods

1997-08-22 18:02  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/file.c: added exists0 native method

1997-08-22 17:31  Christoph Toshok <toshok@hungry.com>

	* progs/Makefile: Makefile foo

1997-08-22 16:51  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: get -Wall -pedantic happy

1997-08-22 16:49  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniarray.c, lib/libjni/src/jnifield.c,
	lib/libjni/src/jniinvoc.c, lib/libjni/src/jniref.c,
	lib/libjni/src/jnisfld.c, lib/libjni/src/jnistr.c,
	lib/libnative/java.io/Makefile, lib/libnative/java.io/fd.c,
	lib/libnative/java.io/file.c, lib/libnative/java.io/ioStubs.c,
	lib/libnative/java.lang/Makefile, lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/system.c,
	lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/unixproc.c, include/ClazzFile.h,
	include/arrays.h, include/gc.h, include/interp.h,
	include/objects.h, include/zipfile.h,
	lib/libnative/java.io/fileout.c,
	lib/libnative/java.io/_stubs/java_io_FileOutputStream_stubs.c,
	lib/libruntime/zextract.c, progs/Makefile: bleh

1997-08-22 16:46  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: array-class.c, arrays.c, clparse.c,
	exceptions.c, interpfunc.c, interploop.c, msgc.c, nativeglue.c,
	objects.c: Include the throwable instance as a parameter to
	throw_exception

1997-08-22 16:45  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/resolve.c: Use the dot-to-slashed class name when
	looking in the repository as well as on the classpath.

1997-08-22 16:43  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/op_stack.c: Comment out some assertions, and add
	promote_to_int()

1997-08-22 16:41  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/class-repository.c: Added routine to dump the
	repository to human readable form

1997-08-22 16:40  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/printf.c: Wrap printf and fprintf so that they go
	through a java vm (if there is one.)

1997-08-22 16:37  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/abort.c: Use SIGBUS -- SIGABRT seems to throw
	freebsd's pthreads into a weird state and you get stack traces that
	are pretty much meaningless.

1997-08-21 19:20  Christoph Toshok <toshok@hungry.com>

	* progs/japhard/readline/: COPYING, INSTALL, MANIFEST, README,
	STANDALONE, acconfig.h, ansi_stdlib.h, bind.c, chardefs.h,
	complete.c, config.h.in, configure, configure.in, display.c,
	emacs_keymap.c, funmap.c, history.c, history.h, isearch.c,
	keymaps.c, keymaps.h, memalloc.h, parens.c, posixstat.h,
	readline.c, readline.h, rlconf.h, rldefs.h, rltty.c, search.c,
	signals.c, tilde.c, tilde.h, vi_keymap.c, vi_mode.c, xmalloc.c,
	doc/Makefile, doc/hist.texinfo, doc/history.dvi, doc/history.info,
	doc/history.ps, doc/hstech.texinfo, doc/hsuser.texinfo,
	doc/readline.3, doc/readline.dvi, doc/readline.info,
	doc/readline.info-1, doc/readline.info-2, doc/readline.ps,
	doc/rlman.texinfo, doc/rltech.texinfo, doc/rluser.texinfo,
	doc/texinfo.tex: Initial readline import

1997-08-17 12:21  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniarray.c: stubbed some functions

1997-08-17 12:21  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jniint.h: native-monitors has gone away

1997-08-17 12:18  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/object.c, lib/libnative/java.lang/thread.c,
	lib/libjni/src/jniclass.c, lib/libjni/src/jniinvoc.c,
	lib/libjni/src/jnimeth.c, lib/libjni/src/jniobj.c,
	lib/libjni/src/jnismeth.c, lib/libjni/src/jnistr.c,
	include/classpath.h, include/interp.h, include/resolve.h,
	lib/libruntime/Makefile, lib/libruntime/array-class.c,
	lib/libruntime/classpath.c, lib/libruntime/clparse.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/msgc.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/resolve.c,
	lib/libruntime/sig.c, progs/japharh/japharh.c: [no log message]

1997-08-17 12:17  Christoph Toshok <toshok@hungry.com>

	* lib/Makefile: added zlib to the build

1997-08-17 12:07  Christoph Toshok <toshok@hungry.com>

	* include/: native-threads.h, native-monitors.h: Removed
	native-monitors.h.  It has been folded into native-threads.h

1997-08-16 03:22  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: java.lang/.cvsignore, java.net/.cvsignore: Added
	.cvsignore files

1997-08-16 03:22  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/.cvsignore: added .cvsignore

1997-08-16 03:21  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/Makefile: Added Makefile

1997-08-16 03:16  Christoph Toshok <toshok@hungry.com>

	* Makefile, lib/Makefile, lib/libjni/tests/Makefile,
	progs/japharh/Makefile, progs/japharh/japharh.c,
	progs/japharh/stubs.c: remove the native directory (it's in
	lib/libnative now) and some other stuff.

1997-08-16 03:13  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/Makefile: Needed to add the math library

1997-08-16 02:56  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/Makefile, lib/libruntime/arrays.c,
	lib/libruntime/classpath.c, lib/libruntime/clparse.c,
	lib/libruntime/exceptions.c, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c, lib/libruntime/log.c,
	lib/libruntime/msgc.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/op_stack.c,
	lib/libruntime/resolve.c, lib/libnative/Makefile,
	lib/libnative/java.io/Makefile, lib/libnative/java.io/fd.c,
	lib/libnative/java.io/file.c, lib/libnative/java.io/ioStubs.c,
	lib/libnative/java.lang/Makefile,
	lib/libnative/java.lang/langStubs.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/system.c,
	lib/libnative/java.lang/thread.c, lib/libnative/java.net/Makefile,
	include/ClazzFile.h, include/arrays.h, include/gc.h,
	include/interp.h, include/log.h, include/native-threads.h,
	include/objects.h, include/op_stack.h, include/sig.h,
	arch/Makefile, lib/libjni/include/jniint.h,
	lib/libjni/src/jniarray.c, lib/libjni/src/jniinvoc.c,
	lib/libjni/src/jnimeth.c, lib/libjni/src/jniobj.c,
	lib/libjni/src/jnismeth.c, lib/libjni/src/jnistr.c,
	lib/libjni/src/jnithrow.c, progs/japhar/japhar.c,
	lib/libnative/java.io/.cvsignore,
	lib/libnative/java.io/_stubs/java_io_FileDescriptor_stubs.c,
	lib/libnative/java.io/_stubs/java_io_File_stubs.c,
	lib/libnative/java.lang/.cvsignore,
	lib/libnative/java.lang/_stubs/java_lang_Class_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Compiler_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Double_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Float_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Math_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Object_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_SecurityManager_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_System_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Thread_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Throwable_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_UNIXProcess_stubs.c,
	lib/libnative/java.net/.cvsignore,
	lib/libnative/java.net/_stubs/java_net_InetAddressImpl_stubs.c,
	lib/libnative/java.net/_stubs/java_net_PlainDatagramSocketImpl_stub
	s.c,
	lib/libnative/java.net/_stubs/java_net_PlainSocketImpl_stubs.c,
	lib/libnative/java.net/_stubs/java_net_SocketInputStream_stubs.c,
	lib/libnative/java.net/_stubs/java_net_SocketOutputStream_stubs.c,
	lib/zlib/Makefile, lib/zlib/Makefile.b32, lib/zlib/Makefile.bor,
	lib/zlib/Makefile.dj2, lib/zlib/Makefile.in, lib/zlib/Makefile.msc,
	lib/zlib/Makefile.riscos, lib/zlib/Makefile.sas,
	lib/zlib/Makefile.tc, lib/zlib/Makefile.wat, lib/zlib/configure:
	[no log message]

1997-08-16 02:56  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/abort.c: version of abort that calls the vm's
	abort hook, if any.

1997-08-12 22:43  Christoph Toshok <toshok@hungry.com>

	* Makefile, lib/Makefile, lib/zlib/INDEX, lib/zlib/Make_vms.com,
	lib/zlib/Makefile, lib/zlib/Makefile.b32, lib/zlib/Makefile.bor,
	lib/zlib/Makefile.dj2, lib/zlib/Makefile.in, lib/zlib/Makefile.msc,
	lib/zlib/Makefile.riscos, lib/zlib/Makefile.sas,
	lib/zlib/Makefile.tc, lib/zlib/Makefile.wat, lib/zlib/README,
	lib/zlib/configure, lib/zlib/descrip.mms, lib/zlib/zlib.def,
	lib/zlib/zlib.rc, lib/zlib/adler32.c, lib/zlib/compress.c,
	lib/zlib/crc32.c, lib/zlib/deflate.c, lib/zlib/deflate.h,
	lib/zlib/example.c, lib/zlib/gzio.c, lib/zlib/infblock.c,
	lib/zlib/infblock.h, lib/zlib/infcodes.c, lib/zlib/infcodes.h,
	lib/zlib/inffast.c, lib/zlib/inffast.h, lib/zlib/inflate.c,
	lib/zlib/inftrees.c, lib/zlib/inftrees.h, lib/zlib/infutil.c,
	lib/zlib/infutil.h, lib/zlib/minigzip.c, lib/zlib/trees.c,
	lib/libjni/src/Makefile, lib/libjni/src/jniclass.c,
	lib/libjni/src/jnifield.c, lib/libjni/src/jnimeth.c,
	lib/libjni/src/jniobj.c, lib/libjni/src/jniref.c,
	lib/libjni/src/jnisfld.c, lib/libjni/src/jnithrow.c,
	lib/libjni/src/jnivtbl.c, lib/zlib/uncompr.c, lib/zlib/zconf.h,
	lib/zlib/zlib.h, lib/zlib/zutil.c, lib/zlib/zutil.h,
	lib/libjni/include/jni.h, lib/libjni/include/jniint.h,
	lib/libjni/src/jniarray.c, lib/libjni/src/jniinvoc.c,
	lib/libjni/src/jnimon.c, lib/libjni/src/jninativ.c,
	lib/libjni/src/jnismeth.c, lib/libjni/src/jnistr.c,
	lib/libjni/src/jnivm.c, lib/libjni/tests/Makefile,
	lib/libjni/tests/foo.c, lib/libruntime/Makefile,
	lib/libruntime/clparse.c, lib/libruntime/log.c,
	lib/libnative/Makefile, lib/libnative/java.lang/Makefile,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/compiler.c,
	lib/libnative/java.lang/double.c, lib/libnative/java.lang/float.c,
	lib/libnative/java.lang/langStubs.c,
	lib/libnative/java.lang/math.c, lib/libnative/java.lang/object.c,
	lib/libruntime/array-class.c, lib/libruntime/class-repository.c,
	lib/libruntime/classpath.c, lib/libruntime/msgc.c,
	lib/libruntime/objects.c, lib/libruntime/resolve.c,
	lib/libruntime/runtime.c, lib/libruntime/sig.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.net/Makefile, lib/libnative/java.net/addr.c,
	lib/libnative/java.net/netStubs.c, lib/libnative/java.net/socket.c,
	progs/Makefile, progs/japharh/header.c, progs/japharh/japharh.c,
	progs/japharh/stubs.c, include/classpath.h, progs/japhar/Makefile,
	progs/japhar/japhar.c, progs/japharh/Makefile,
	progs/japharh/japharh.h, include/ClazzFile.h, include/exceptions.h,
	include/log.h, include/native-monitors.h, include/native-threads.h,
	include/resolve.h, include/sig.h, include/array-class.h,
	include/class-repository.h, include/clzzcache.h,
	include/dynamic_loading.h, include/gc.h, include/objects.h,
	include/qop.h: Initial revision

1997-08-12 22:43  Christoph Toshok <toshok@hungry.com>

	* Makefile, lib/Makefile, lib/zlib/INDEX, lib/zlib/Make_vms.com,
	lib/zlib/Makefile, lib/zlib/Makefile.b32, lib/zlib/Makefile.bor,
	lib/zlib/Makefile.dj2, lib/zlib/Makefile.in, lib/zlib/Makefile.msc,
	lib/zlib/Makefile.riscos, lib/zlib/Makefile.sas,
	lib/zlib/Makefile.tc, lib/zlib/Makefile.wat, lib/zlib/README,
	lib/zlib/configure, lib/zlib/descrip.mms, lib/zlib/zlib.def,
	lib/zlib/zlib.rc, lib/zlib/adler32.c, lib/zlib/compress.c,
	lib/zlib/crc32.c, lib/zlib/deflate.c, lib/zlib/deflate.h,
	lib/zlib/example.c, lib/zlib/gzio.c, lib/zlib/infblock.c,
	lib/zlib/infblock.h, lib/zlib/infcodes.c, lib/zlib/infcodes.h,
	lib/zlib/inffast.c, lib/zlib/inffast.h, lib/zlib/inflate.c,
	lib/zlib/inftrees.c, lib/zlib/inftrees.h, lib/zlib/infutil.c,
	lib/zlib/infutil.h, lib/zlib/minigzip.c, lib/zlib/trees.c,
	lib/libjni/src/Makefile, lib/libjni/src/jniclass.c,
	lib/libjni/src/jnifield.c, lib/libjni/src/jnimeth.c,
	lib/libjni/src/jniobj.c, lib/libjni/src/jniref.c,
	lib/libjni/src/jnisfld.c, lib/libjni/src/jnithrow.c,
	lib/libjni/src/jnivtbl.c, lib/zlib/uncompr.c, lib/zlib/zconf.h,
	lib/zlib/zlib.h, lib/zlib/zutil.c, lib/zlib/zutil.h,
	lib/libjni/include/jni.h, lib/libjni/include/jniint.h,
	lib/libjni/src/jniarray.c, lib/libjni/src/jniinvoc.c,
	lib/libjni/src/jnimon.c, lib/libjni/src/jninativ.c,
	lib/libjni/src/jnismeth.c, lib/libjni/src/jnistr.c,
	lib/libjni/src/jnivm.c, lib/libjni/tests/Makefile,
	lib/libjni/tests/foo.c, lib/libruntime/Makefile,
	lib/libruntime/clparse.c, lib/libruntime/log.c,
	lib/libnative/Makefile, lib/libnative/java.lang/Makefile,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/compiler.c,
	lib/libnative/java.lang/double.c, lib/libnative/java.lang/float.c,
	lib/libnative/java.lang/langStubs.c,
	lib/libnative/java.lang/math.c, lib/libnative/java.lang/object.c,
	lib/libruntime/array-class.c, lib/libruntime/class-repository.c,
	lib/libruntime/classpath.c, lib/libruntime/msgc.c,
	lib/libruntime/objects.c, lib/libruntime/resolve.c,
	lib/libruntime/runtime.c, lib/libruntime/sig.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.net/Makefile, lib/libnative/java.net/addr.c,
	lib/libnative/java.net/netStubs.c, lib/libnative/java.net/socket.c,
	progs/Makefile, progs/japharh/header.c, progs/japharh/japharh.c,
	progs/japharh/stubs.c, include/classpath.h, progs/japhar/Makefile,
	progs/japhar/japhar.c, progs/japharh/Makefile,
	progs/japharh/japharh.h, include/ClazzFile.h, include/exceptions.h,
	include/log.h, include/native-monitors.h, include/native-threads.h,
	include/resolve.h, include/sig.h, include/array-class.h,
	include/class-repository.h, include/clzzcache.h,
	include/dynamic_loading.h, include/gc.h, include/objects.h,
	include/qop.h: New java runtime work
